Subject: bug#13002: closed (Re: bug#13002: Updated, fixed patch)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Nov 2020 02:46:02 +0000

Your bug report

#13002: directory variables in VALAFLAGS are expanded after cd

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13002: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13002
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13002: Updated, fixed patch
From: Karl Berry <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 7 Nov 2020 19:45:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

    I have taken Daniel Espinosa's patch and improved it so that it
    fixes all the test failures.

Reuben, thank you very much for dealing with everything, and thanks to
Daniel for the original work.

make check && make distcheck are working for me now.
I have pushed the changes (with fingers crossed)
and am closing this bug. -k

Subject: directory variables in VALAFLAGS are expanded after cd
From: Daiki Ueno <[email-masked]>
To: [email-masked]
Date: Mon, 26 Nov 2012 20:03:38 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I see quite a few Vala projects setting VALAFLAGS as follows:

libfolks_eds_la_VALAFLAGS = \
        --vapidir=. \
        --vapidir=$(top_srcdir)/folks \
        ...

This is referred by the generated rule in Makefile.in as:

$(AM_V_VALAC)$(am__cd) $(srcdir) && $(VALAC) $(libfolks_eds_la_VALAFLAGS) $(VALAFLAGS) -C $(libfolks_eds_la_SOURCES)

Here, if $(srcdir) != $(builddir) and $(top_srcdir) is a relative path
from $(builddir), the --vapidir option will point to a wrong location.

Though this could be worked around by using $(abs_top_srcdir) instead of
$(top_srcdir), it looks to me a bit unintuitive.  It would be nice that
automake handles this case nicely.

Regards,
-- 
Daiki Ueno